## rock-master-18.06-perception-viso2 0.20170621

=== Makefile ===
#############################################################################
# Makefile for building: stereomapper
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Jun 6 11:27:33 2011
# Project:  stereomapper.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -pipe -fomit-frame-pointer -msse3 -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -ldc1394 -lcxcore -lcv -lhighgui -lQtOpenGL -lQtGui -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		maindialog.cpp \
		selectcamerasdialog.cpp \
		framecapturethread.cpp \
		stereoimage.cpp \
		view2d.cpp \
		calibio.cpp \
		view3d.cpp \
		visualodometrythread.cpp \
		stereothread.cpp \
		../libelas/src/elas.cpp \
		../libelas/src/descriptor.cpp \
		savestereoimagethread.cpp \
		readfromfilesthread.cpp \
		visualizethread.cpp \
		planeestimation.cpp \
		../libviso2/src/visualodometry.cpp \
		../libviso2/src/triangle.cpp \
		../libviso2/src/matrix.cpp \
		../libviso2/src/filter.cpp \
		../libviso2/src/matcher.cpp moc_maindialog.cpp \
		moc_selectcamerasdialog.cpp \
		moc_framecapturethread.cpp \
		moc_stereoimage.cpp \
		moc_view2d.cpp \
		moc_view3d.cpp \
		moc_visualodometrythread.cpp \
		moc_stereothread.cpp \
		moc_savestereoimagethread.cpp \
		moc_readfromfilesthread.cpp \
		moc_visualizethread.cpp
OBJECTS       = main.o \
		maindialog.o \
		selectcamerasdialog.o \
		framecapturethread.o \
		stereoimage.o \
		view2d.o \
		calibio.o \
		view3d.o \
		visualodometrythread.o \
		stereothread.o \
		elas.o \
		descriptor.o \
		savestereoimagethread.o \
		readfromfilesthread.o \
		visualizethread.o \
		planeestimation.o \
		visualodometry.o \
		triangle.o \
		matrix.o \
		filter.o \
		matcher.o \
		moc_maindialog.o \
		moc_selectcamerasdialog.o \
		moc_framecapturethread.o \
		moc_stereoimage.o \
		moc_view2d.o \
		moc_view3d.o \
		moc_visualodometrythread.o \
		moc_stereothread.o \
		moc_savestereoimagethread.o \
		moc_readfromfilesthread.o \
		moc_visualizethread.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		stereomapper.pro
QMAKE_TARGET  = stereomapper
DESTDIR       = 
TARGET        = stereomapper

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_maindialog.h ui_selectcamerasdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: stereomapper.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/stereomapper1.0.0 || $(MKDIR) .tmp/stereomapper1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents maindialog.h selectcamerasdialog.h framecapturethread.h stereoimage.h view2d.h calibio.h view3d.h visualodometrythread.h stereothread.h ../libelas/src/elas.h ../libelas/src/descriptor.h savestereoimagethread.h readfromfilesthread.h visualizethread.h planeestimation.h ../libviso2/src/visualodometry.h ../libviso2/src/triangle.h ../libviso2/src/timer.h ../libviso2/src/matrix.h ../libviso2/src/matcher.h ../libviso2/src/filter.h .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents main.cpp maindialog.cpp selectcamerasdialog.cpp framecapturethread.cpp stereoimage.cpp view2d.cpp calibio.cpp view3d.cpp visualodometrythread.cpp stereothread.cpp ../libelas/src/elas.cpp ../libelas/src/descriptor.cpp savestereoimagethread.cpp readfromfilesthread.cpp visualizethread.cpp planeestimation.cpp ../libviso2/src/visualodometry.cpp ../libviso2/src/triangle.cpp ../libviso2/src/matrix.cpp ../libviso2/src/filter.cpp ../libviso2/src/matcher.cpp .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents maindialog.ui selectcamerasdialog.ui .tmp/stereomapper1.0.0/ && (cd `dirname .tmp/stereomapper1.0.0` && $(TAR) stereomapper1.0.0.tar stereomapper1.0.0 && $(COMPRESS) stereomapper1.0.0.tar) && $(MOVE) `dirname .tmp/stereomapper1.0.0`/stereomapper1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/stereomapper1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maindialog.cpp moc_selectcamerasdialog.cpp moc_framecapturethread.cpp moc_stereoimage.cpp moc_view2d.cpp moc_view3d.cpp moc_visualodometrythread.cpp moc_stereothread.cpp moc_savestereoimagethread.cpp moc_readfromfilesthread.cpp moc_visualizethread.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maindialog.cpp moc_selectcamerasdialog.cpp moc_framecapturethread.cpp moc_stereoimage.cpp moc_view2d.cpp moc_view3d.cpp moc_visualodometrythread.cpp moc_stereothread.cpp moc_savestereoimagethread.cpp moc_readfromfilesthread.cpp moc_visualizethread.cpp
moc_maindialog.cpp: framecapturethread.h \
		stereoimage.h \
		calibio.h \
		visualodometrythread.h \
		../libviso2/src/visualodometry.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		../libviso2/src/timer.h \
		stereothread.h \
		view3d.h \
		planeestimation.h \
		../libelas/src/elas.h \
		../libelas/src/timer.h \
		savestereoimagethread.h \
		readfromfilesthread.h \
		visualizethread.h \
		view2d.h \
		maindialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp

moc_selectcamerasdialog.cpp: framecapturethread.h \
		stereoimage.h \
		calibio.h \
		selectcamerasdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) selectcamerasdialog.h -o moc_selectcamerasdialog.cpp

moc_framecapturethread.cpp: stereoimage.h \
		calibio.h \
		framecapturethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) framecapturethread.h -o moc_framecapturethread.cpp

moc_stereoimage.cpp: stereoimage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stereoimage.h -o moc_stereoimage.cpp

moc_view2d.cpp: ../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		view2d.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) view2d.h -o moc_view2d.cpp

moc_view3d.cpp: ../libviso2/src/matrix.h \
		view3d.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) view3d.h -o moc_view3d.cpp

moc_visualodometrythread.cpp: calibio.h \
		stereoimage.h \
		../libviso2/src/visualodometry.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		../libviso2/src/timer.h \
		visualodometrythread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) visualodometrythread.h -o moc_visualodometrythread.cpp

moc_stereothread.cpp: view3d.h \
		../libviso2/src/matrix.h \
		calibio.h \
		stereoimage.h \
		planeestimation.h \
		../libelas/src/elas.h \
		../libelas/src/timer.h \
		stereothread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stereothread.h -o moc_stereothread.cpp

moc_savestereoimagethread.cpp: stereoimage.h \
		savestereoimagethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) savestereoimagethread.h -o moc_savestereoimagethread.cpp

moc_readfromfilesthread.cpp: calibio.h \
		stereoimage.h \
		readfromfilesthread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) readfromfilesthread.h -o moc_readfromfilesthread.cpp

moc_visualizethread.cpp: view2d.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		view3d.h \
		visualizethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) visualizethread.h -o moc_visualizethread.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
