=== debian/changelog ===
rock-master-18.06-perception-viso2 (0.20170621-1~bionic) unstable; urgency=low

  * Package automatically built using autoproj-package debian
  * url: http://www.cvlibs.net/downloads/libviso2.zip
  * filename: libviso2.zip

 -- Packaging Daemon <rock-dev@dfki.de>  Thu, 19 Jul 2018 19:08:34 +0200
