=== debian/control ===
Source: rock-master-18.06-perception-viso2
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libeigen3-dev, libpng++-dev, rock-master-18.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-18.06-perception-viso2
Architecture: any
Depends: ${shlibs:Depends}, rock-master-18.06-base-cmake, cmake, build-essential, libeigen3-dev, libpng++-dev
Description: LIBVISO2: C++ Library for Visual Odometry 2
 LIBVISO2 (Library for Visual Odometry 2) is a very fast cross-platfrom (Linux, Windows)
  C++ library with MATLAB wrappers for computing the 6 DOF motion of a moving mono/stereo
  camera. The stereo version is based on minimizing the reprojection error of sparse
  feature matches and is rather general (no motion model or setup restrictions except that
  the input images must be rectified and calibration parameters are known). The monocular
  version is still very experimental and uses the 8-point algorithm for fundamental matrix
  estimation. It further assumes that the camera is moving at a known and fixed height over
  ground (for estimating the scale). Due to the 8 correspondences needed for the 8-point
  algorithm, many more RANSAC samples need to be drawn, which makes the monocular algorithm
  slower than the stereo algorithm, for which 3 correspondences are sufficent to estimate
  parameters
